activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gary Tully <gary.tu...@gmail.com>
Subject Re: cannot build from source
Date Tue, 03 Nov 2009 00:57:49 GMT
That artifact is not available from central but you can find it at the
fusesource.com m2 repo

Am not sure whether this should be an optional or required dependency.

As a work around, apply the following patch or do a manual install of
those jars or comment out the josql* dependency.

Index: activemq-console/pom.xml
===================================================================
--- activemq-console/pom.xml	(revision 832229)
+++ activemq-console/pom.xml	(working copy)
@@ -43,6 +43,20 @@
     </activemq.osgi.export>
   </properties>

+  <repositories>
+    <repository>
+      <id>com.fusesource.m2</id>
+      <name>Fusesource Release Repository</name>
+      <url>http://repo.fusesource.com/maven2</url>
+      <snapshots>
+        <enabled>false</enabled>
+      </snapshots>
+      <releases>
+        <enabled>true</enabled>
+      </releases>
+    </repository>
+  </repositories>
+
   <dependencies>
     <!-- activemq related dependencies -->
     <dependency>

2009/11/2 Matthew Hixson <hixson@poindextrose.org>:
> Just checked out the latest from svn and still cannot build the source.
>
> I'm executing this:
>
> mvn -Dtest=false -DfailIfNoTests=false clean install
>
> Thanks for any help,
>  -M@
>
>
>
> [INFO] Building ActiveMQ :: Console
> [INFO]    task-segment: [clean, install]
> [INFO]
> ------------------------------------------------------------------------
> [INFO] [clean:clean {execution: default-clean}]
> Downloading:
> http://repo1.maven.org/maven2/net/sf/josql/josql/1.5/josql-1.5.pom
> [INFO] Unable to find resource 'net.sf.josql:josql:pom:1.5' in repository
> central (http://repo1.maven.org/maven2)
> Downloading:
> http://repo1.maven.org/maven2/net/sf/josql/gentlyweb-utils/1.5/gentlyweb-utils-1.5.pom
> [INFO] Unable to find resource 'net.sf.josql:gentlyweb-utils:pom:1.5' in
> repository central (http://repo1.maven.org/maven2)
> Downloading:
> http://repo1.maven.org/maven2/net/sf/josql/josql/1.5/josql-1.5.jar
> [INFO] Unable to find resource 'net.sf.josql:josql:jar:1.5' in repository
> central (http://repo1.maven.org/maven2)
> Downloading:
> http://repo1.maven.org/maven2/net/sf/josql/gentlyweb-utils/1.5/gentlyweb-utils-1.5.jar
> [INFO] Unable to find resource 'net.sf.josql:gentlyweb-utils:jar:1.5' in
> repository central (http://repo1.maven.org/maven2)
> [INFO]
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Failed to resolve artifact.
>
> Missing:
> ----------
> 1) net.sf.josql:josql:jar:1.5
>
>  Try downloading the file manually from the project website.
>
>  Then, install it using the command:
>      mvn install:install-file -DgroupId=net.sf.josql -DartifactId=josql
> -Dversion=1.5 -Dpackaging=jar -Dfile=/path/to/file
>
>  Alternatively, if you host your own repository you can deploy the file
> there:
>      mvn deploy:deploy-file -DgroupId=net.sf.josql -DartifactId=josql
> -Dversion=1.5 -Dpackaging=jar -Dfile=/path/to/file -Durl=[url]
> -DrepositoryId=[id]
>
>  Path to dependency:
>        1) org.apache.activemq:activemq-console:bundle:5.4-SNAPSHOT
>        2) net.sf.josql:josql:jar:1.5
>
> 2) net.sf.josql:gentlyweb-utils:jar:1.5
>
>  Try downloading the file manually from the project website.
>
>  Then, install it using the command:
>      mvn install:install-file -DgroupId=net.sf.josql
> -DartifactId=gentlyweb-utils -Dversion=1.5 -Dpackaging=jar
> -Dfile=/path/to/file
>
>  Alternatively, if you host your own repository you can deploy the file
> there:
>      mvn deploy:deploy-file -DgroupId=net.sf.josql
> -DartifactId=gentlyweb-utils -Dversion=1.5 -Dpackaging=jar
> -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
>
>  Path to dependency:
>        1) org.apache.activemq:activemq-console:bundle:5.4-SNAPSHOT
>        2) net.sf.josql:gentlyweb-utils:jar:1.5
>
> ----------
> 2 required artifacts are missing.
>
> for artifact:
>  org.apache.activemq:activemq-console:bundle:5.4-SNAPSHOT
>
> from the specified remote repositories:
>  central (http://repo1.maven.org/maven2),
>  apache.snapshots (http://repository.apache.org/snapshots)
>
>
>
>



-- 
http://blog.garytully.com

Open Source Integration
http://fusesource.com

Mime
View raw message